Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QNetworkRequest.KnownHeaders

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QNetworkRequest.KnownHeaders

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QNetworkRequest

    public static final class QNetworkRequest.KnownHeaders

extends java.lang.Enum
implements QtEnumerator

List of known header types that `QNetworkRequest` parses. Each known header is also represented in raw form with its full HTTP name.

See also:
  `header()`, `setHeader()`, `rawHeader()`, and `setRawHeader()`.

See Also:
  Serialized Form

Field Summary
`static QNetworkRequest.KnownHeaders` | `ContentLengthHeader` corresponds to the HTTP Content-Length header and contains the length in bytes of the data transmitted.
`static QNetworkRequest.KnownHeaders` | `ContentTypeHeader` corresponds to the HTTP Content-Type header and contains a string containing the media (MIME) type and any auxiliary data (for instance, charset)
`static QNetworkRequest.KnownHeaders` | `CookieHeader` corresponds to the HTTP Cookie header and contains a QList<`QNetworkCookie`> representing the cookies to be sent back to the server
`static QNetworkRequest.KnownHeaders` | `LastModifiedHeader` corresponds to the HTTP Last-Modified header and contains a `QDateTime` representing the last modification date of the contents
`static QNetworkRequest.KnownHeaders` | `LocationHeader` corresponds to the HTTP Location header and contains a URL representing the actual location of the data, including the destination URL in case of redirections.
`static QNetworkRequest.KnownHeaders` | `SetCookieHeader` corresponds to the HTTP Set-Cookie header and contains a QList<`QNetworkCookie`> representing the cookies sent by the server to be stored locally

Method Summary
`static QNetworkRequest.KnownHeaders` | `resolve(int value)` Returns the QNetworkRequest$KnownHeaders constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QNetworkRequest.KnownHeaders` | `valueOf(java.lang.String name)`
`static QNetworkRequest.KnownHeaders[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ContentTypeHeader

    public static final QNetworkRequest.KnownHeaders ContentTypeHeader

  corresponds to the HTTP Content-Type header and contains a string containing the media (MIME) type and any auxiliary data (for instance, charset)

### ContentLengthHeader

    public static final QNetworkRequest.KnownHeaders ContentLengthHeader

  corresponds to the HTTP Content-Length header and contains the length in bytes of the data transmitted.

### LocationHeader

    public static final QNetworkRequest.KnownHeaders LocationHeader

  corresponds to the HTTP Location header and contains a URL representing the actual location of the data, including the destination URL in case of redirections.

### LastModifiedHeader

    public static final QNetworkRequest.KnownHeaders LastModifiedHeader

  corresponds to the HTTP Last-Modified header and contains a `QDateTime` representing the last modification date of the contents

### CookieHeader

    public static final QNetworkRequest.KnownHeaders CookieHeader

  corresponds to the HTTP Cookie header and contains a QList<`QNetworkCookie`> representing the cookies to be sent back to the server

### SetCookieHeader

    public static final QNetworkRequest.KnownHeaders SetCookieHeader

  corresponds to the HTTP Set-Cookie header and contains a QList<`QNetworkCookie`> representing the cookies sent by the server to be stored locally

Method Detail

### values

    public static QNetworkRequest.KnownHeaders[] values()

### valueOf

    public static QNetworkRequest.KnownHeaders valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QNetworkRequest.KnownHeaders resolve(int value)

  Returns the QNetworkRequest$KnownHeaders constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD